Bug 447062 - pdflatex cannot find the format file 'pdflatex.fmt'
pdflatex cannot find the format file 'pdflatex.fmt'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 10:28 EDT by Peeter Puusemp
Modified: 2013-07-02 19:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peeter Puusemp 2008-05-17 10:28:23 EDT
Description of problem:
pdflatex cannot find the format file 'pdflatex.fmt' and therefore is not usable.

Here is the output of the command $pdflatex filename.tex:

This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6)
 %&-line parsing enabled.
kpathsea: Running mktexfmt pdflatex.fmt
I can't find the format file `pdflatex.fmt'!

Version-Release number of selected component (if applicable):
The latest available.

How reproducible:
Run pdflatex on a .tex file.
Comment 1 Peeter Puusemp 2008-05-21 19:46:51 EDT
I found accidentally fmtutil tool and fixed it by running 'fmtutil --missing'.

I am not the only one having this problem:
http://forums.fedoraforum.org/showthread.php?p=1016271

My Fedora 9 is fresh install, not an upgrade. I installed texlive by selecting
Publishing in the Anaconda installer.

latex.fmt was also missing.
Comment 2 Peeter Puusemp 2008-11-24 10:49:48 EST
It still happens in Fedora 10 Preview. Running 'fmtutil --missing' as user fixed it again.
Comment 3 sbulutw 2009-05-24 20:52:21 EDT
I have the FC10 OS installed on my desktop.
I have pretty much the same problem I think.
latex.fmt is missing.
Additionally, running fmtutil or fmtutil-sys commands doesn't fix the problem and they a give a bunch of pdftex relatex failure messages:
###############################################################################
fmtutil: Error! Not all formats have been built successfully.
Visit the log files in directory
  /var/lib/texmf/web2c
for details.
###############################################################################

This is a summary of all `failed' messages and warnings:
`pdftex -ini  -jobname=pdftex -progname=pdftex -translate-file=cp227.tcx *pdftex.ini' failed
`pdftex -ini  -jobname=etex -progname=etex -translate-file=cp227.tcx *etex.ini' failed
`pdftex -ini  -jobname=pdfetex -progname=pdfetex -translate-file=cp227.tcx *pdfetex.ini' failed
`pdftex -ini  -jobname=amstex -progname=amstex -translate-file=cp227.tcx *amstex.ini' failed
`pdftex -ini  -jobname=mex -progname=mex -translate-file=cp227.tcx *mex.ini' failed
`pdftex -ini  -jobname=pdfmex -progname=pdfmex -translate-file=cp227.tcx *pdfmex.ini' failed
`pdftex -ini  -jobname=utf8mex -progname=utf8mex -enc *utf8mex.ini' failed
`pdftex -ini  -jobname=eplain -progname=eplain -translate-file=cp227.tcx *eplain.ini' failed
`pdftex -ini  -jobname=mptopdf -progname=context -translate-file=cp227.tcx mptopdf.tex' failed
`pdftex -ini  -jobname=jadetex -progname=jadetex &latex jadetex.ini' failed
`pdftex -ini  -jobname=pdfjadetex -progname=pdfjadetex &pdflatex pdfjadetex.ini' failed
Comment 4 Bug Zapper 2009-06-09 20:56:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:35:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 josef radinger 2009-07-22 09:09:57 EDT
still the same with fedora 10
Comment 7 Peeter Puusemp 2009-07-28 10:03:21 EDT
(In reply to comment #6)
> still the same with fedora 10  

The same in Fedora 11 too.
Comment 8 Bug Zapper 2010-04-27 08:03:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 06:37:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.